"""=====================================================================
منطق برنامه ای را طراحی نمایید که دو عدد صحیح و مثبت N , P را در ورودی
دریافت کند و پس از مشخص کردن عدد بزرگتر خارج قسمت و باقیمانده تقسیم عدد
بزرگتر بر عدد کوچکتر را از طریق تفریق های متوالی محاسبه و چاپ کند.
====================================================================="""

n = int(input("Please enter N: "))
p = int(input("Please enter P: "))
if n < p:
    n,p = p,n
key = 0
while n >= p:
    n = n - p
    key += 1
print("="*20,"\nI: ",key,"\nRemain: ",n)